/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ukol.dotazy;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.swing.JComboBox;

/**
 *
 * @author robot
 */
public class NovyAutor extends SQLAdapter {
    private final PreparedStatement statement;
    private final SQLAdapter autori;
    private UI.Author author = new UI.Author("","");
    
    public NovyAutor(Connection connection) throws SQLException {
        super("Nový autor ...");
        statement = connection.prepareStatement("INSERT INTO authors (firstName,lastName) VALUES (?,?)");
        autori = new VsichniAutori(connection);
    }

    @Override
    public ResultSet getResult()  throws SQLException {

        UI.Author new_author = UI.showAuthorDialog("Nový autor",author);
        // vlozeni autora do DB
        if(new_author != null) {
            statement.setString(1,new_author.firstName);
            statement.setString(2,new_author.lastName);
            statement.executeUpdate();
        }
        // provedení dotazu
        return autori.getResult();
    }

}
