/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ukol.dotazy;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 *
 * @author robot
 */
public class UpdateAuthor extends SQLAdapter {

    private final PreparedStatement statement;
    private final SQLAdapter autori[];

    public UpdateAuthor(Connection connection) throws SQLException {
        super("Upravit autora ...");
        statement = connection.prepareStatement("UPDATE authors  SET firstName = ?,lastName = ? WHERE authorId = ?");
        autori = new SQLAdapter[2];
        autori[0] = new VsichniAutori(connection);
        autori[1] = new VsichniAutori(connection);
    }

    @Override
    public ResultSet getResult() throws SQLException {
        ResultSet rs = autori[0].getResult();
        rs.last();
        int numberOfRows = rs.getRow();
        int ids[] = new int[numberOfRows];
        String nazvy[] = new String[numberOfRows];
        UI.Author authors[] = new UI.Author[numberOfRows];

        for (int i = 0; i < numberOfRows; i++) {
            rs.absolute(i + 1);
            ids[i] = (int) rs.getInt("authorID");
            authors[i] = new UI.Author(ids[i], rs.getString("firstName"), rs.getString("lastName"));
            nazvy[i] = authors[i].lastName + " " + authors[i].firstName;

        }

        Integer id = UI.select("Vyberte autora", ids, nazvy);
        UI.Author update = null;
        if (id != null) {
            for (int i = 0; i < authors.length; i++) {
                if (authors[i].id == id) {
                    update = UI.showAuthorDialog("Upravit autora " + id, authors[i]);
                    break;
                }
            }
        }
        if (update != null) {
            statement.setString(1, update.firstName);
            statement.setString(2, update.lastName);
            statement.setInt(3, update.id);
            statement.executeUpdate();
        }

        return autori[1].getResult();
    }
}
